Subject: Re: PNW-Unidentified Amanita

From: [email-masked] (JeremyBrowne)
Date: Mon, 30 Sep 96 21:27:38 GMT

In article <[email-masked]>
           [email-masked] "Matthew Stoecker" writes:

> I was out this weekend, and I came
> across an amanita that I'd never seen before.  Cap about 5 inches across,
> skirtlike annulus, cuplike volva, cap _grey_ in color with grey warts. 
> Anyone have any ideas?  I've never seen a _grey_ amanita before.  Oh,
> growing in a douglas fir forest.  Any help appreciated!

I bet it was an A. Rubescens - the variety of coloration is astonishing! 

-- 
Jeremy Browne, Hampshire, UK
[email-masked]
Shaking Hands BBS, Fidonet 2:252/160 (+44 1252 626233, also FAX)